=== app/CMakeLists.txt ===
add_subdirectory(components)
add_subdirectory(data)
add_subdirectory(graphics)
add_subdirectory(ui)

file(GLOB APP_QML_JS_DATA_FILES *.qml *.js *.svg)

add_custom_target(lomiri-weather-app_app_QMlFiles ALL SOURCES ${APP_QML_JS_DATA_FILES})

install(FILES ${APP_QML_JS_DATA_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR})
