=== app/data/CMakeLists.txt ===
configure_file(keys.js.in keys.js)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/keys.js" DESTINATION ${LOMIRI_WEATHER_APP_DIR}/data)

file(GLOB DATA_QML_JS_FILES *.qml *.js)

add_custom_target(lomiri-weather-app_data_QMlFiles ALL SOURCES ${DATA_QML_JS_FILES})

install(FILES ${DATA_QML_JS_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR}/data)
