=== app/graphics/CMakeLists.txt ===
file(GLOB IMAGE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.svg)

add_custom_target(lomiri-weather-app_graphics_IMAGEFiles ALL SOURCES ${IMAGE_FILES})

install(FILES ${IMAGE_FILES} DESTINATION ${LOMIRI_WEATHER_APP_DIR}/graphics)
