=== debian/changelog ===
lomiri-weather-app (5.13.5-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 08:17:50 +0200

lomiri-weather-app (5.13.5-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #1070400).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 May 2024 22:29:34 +0200
