=== debian/control ===
Source: lomiri-weather-app
Priority: optional
Section: misc
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               qtbase5-dev,
               qtdeclarative5-dev,
               qml-module-lomiri-components,
               qml-module-lomiri-layouts,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-weather-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-weather-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-weather-app

Package: lomiri-weather-app
Architecture: all
Depends: qmlscene,
         qml-module-qtquick-localstorage,
         qml-module-qt-labs-settings,
         qml-module-qtlocation,
         qml-module-qtquick2,
         qml-module-lomiri-components,
         qml-module-lomiri-layouts,
         suru-icon-theme,
         ${misc:Depends},
Description: Weather App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Weather App.
