## lomiri-weather-app 6.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,29 @@
+# Copyright (C) 2015-2017 Canonical Ltd
+# Copyright (C) 2019 Joan CiberSheep
+# Copyright (C) 2019-2023 Daniel Frost
+# Copyright (C) 2022-2023 Guido Berhoerster
+# Copyright (C) 2023 Ratchanan Srirattanamet
+# Copyright (C) 2024 Mike Gabriel
+# Copyright (C) 2024 Maciej Sopyło <me@klh.io>
+#
+# SPDX-License-Identifier: GPL-3.0-only
+#
+# This file is part of Lomiri Weather App
+#
+# Lomiri Weather App is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# Lomiri Weather App is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 5.13.5 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.0.1 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -11,7 +35,9 @@
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Qml REQUIRED)
 find_package(Qt5Quick REQUIRED)
-#find_package(Qt5QuickControls2 REQUIRED)
+find_package(Qt5QuickControls2 REQUIRED)
+find_package(Qt5Location REQUIRED)
+find_package(Qt5WebEngine REQUIRED)
 
 # Automatically create moc files
 set(CMAKE_AUTOMOC ON)
@@ -27,38 +53,52 @@
 include(GNUInstallDirs)
 
 set(CLICK_NAME weather.ubports)
-set(APP_NAME weather)
-set(APP_HARDCODE lomiri-weather-app)
-set(MAIN_QML ${APP_HARDCODE}.qml)
-set(DESKTOP_FILE "${APP_HARDCODE}.desktop")
-set(URLS_FILE "${APP_HARDCODE}.url-dispatcher")
+set(APP_NAME lomiri-weather-app)
+set(MAIN_QML ${APP_NAME}.qml)
+set(DESKTOP_FILE "${APP_NAME}.desktop")
+set(URLS_FILE "${APP_NAME}.url-dispatcher")
 set(ICON weather-app.svg)
 set(SPLASH weather-app-splash.svg)
 set(AUTOPILOT_DIR lomiri_weather_app)
+set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
+add_definitions(-DPROJECT_VERSION="${PROJECT_VERSION}" -DQT_MESSAGELOGCONTEXT)
+message(STATUS "App version is: ${PROJECT_VERSION}")
+
 
 # Set install paths
 if(CLICK_MODE)
+  # Find out the architecture for package building
+  # to determine the plugin's installation path
+  execute_process(
+      COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
+      OUTPUT_VARIABLE ARCH_TRIPLET
+      OUTPUT_STRIP_TRAILING_WHITESPACE
+  )
   set(CMAKE_INSTALL_PREFIX "/")
+  set(CMAKE_INSTALL_BINDIR "/")
   set(LOMIRI_WEATHER_APP_DIR "${CMAKE_INSTALL_DATADIR}/app")
-
-  set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
-  set(EXEC "lomiri-weather-app-migrate.py qmlscene %u ${LOMIRI_WEATHER_APP_DIR}/${MAIN_QML}")
+  set(EXEC "lomiri-weather-app-migrate.py ${APP_NAME}")
   set(DATA_DIR /)
   set(URLS_DIR ${DATA_DIR})
-  set(ICON ${LOMIRI_WEATHER_APP_DIR}/${ICON})
-  set(SPLASH ${LOMIRI_WEATHER_APP_DIR}/${SPLASH})
-
+  set(ICON_DIR ${LOMIRI_WEATHER_APP_DIR})
+  set(ICON ${ICON_DIR}/${ICON})
+  set(SPLASH_DIR ${LOMIRI_WEATHER_APP_DIR})
+  set(SPLASH ${SPLASH_DIR}/${SPLASH})
+  set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")
   set(MODULE_PATH ${QT_IMPORTS_DIR})
 else(CLICK_MODE)
-  set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE})
+  set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
   set(LOMIRI_WEATHER_APP_DIR "${DATA_DIR}/app")
-  set(EXEC ${APP_HARDCODE})
-  set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON})
-  set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH})
-  configure_file(${APP_HARDCODE}.in
-    ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE})
-  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${APP_HARDCODE}
-    DESTINATION ${CMAKE_INSTALL_BINDIR})
+  set(EXEC ${APP_NAME})
+  set(ICON_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/)
+  set(ICON ${ICON_DIR}${ICON})
+  set(SPLASH_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/)
+  set(SPLASH ${SPLASH_DIR}${SPLASH})
+  execute_process(
+    COMMAND qmake -query QT_INSTALL_QML
+    OUTPUT_VARIABLE QT_IMPORTS_DIR
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+  )
   set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
   set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
 endif(CLICK_MODE)
@@ -68,7 +108,7 @@
 
   configure_file(${MANIFEST_PATH} ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${CMAKE_INSTALL_PREFIX})
-  install(FILES "${APP_HARDCODE}.apparmor" DESTINATION ${CMAKE_INSTALL_PREFIX})
+  install(FILES "${APP_NAME}.apparmor" DESTINATION ${CMAKE_INSTALL_PREFIX})
 else(CLICK_MODE)
 endif()
 
@@ -89,9 +129,9 @@
 
 install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
 
-add_subdirectory(app)
 add_subdirectory(po)
 add_subdirectory(tests)
+add_subdirectory(src)
 
 # make the qml files visible on qtcreator
 file(GLOB QML_JS_FILES
