=== src/app/CMakeLists.txt ===
set(SRCS
    main.cpp
)

qt5_add_resources(QT_RESOURCES qml/qml.qrc)
qt5_add_resources(QT_RESOURCES assets/assets.qrc)

add_executable(${APP_NAME} ${SRCS} ${QT_RESOURCES})

target_link_libraries(${APP_NAME} Qt5::Gui Qt5::Qml Qt5::Quick Qt5::QuickControls2 Qt5::WebEngine)

if(CLICK_MODE)
  install(TARGETS ${APP_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
else()
  install(TARGETS ${APP_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
endif()

install(FILES qml/weather-app.svg DESTINATION ${DESTDIR}${ICON_DIR})
install(FILES qml/weather-app-splash.svg DESTINATION ${DESTDIR}${SPLASH_DIR})
