=== debian/changelog ===
lomiri-weather-app (6.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Switch weather data provider to Open-Meteo.
  * debian/patches:
    + Drop patches 0001, 0002 and 0003. Not applicable to upstream anymore,
      not required anymore. Also, trivial rebase of patch 2001.
    + Add 2002_mention-Lomiri-in-desktop-file-description.patch. Don't reference
      Ubuntu Touch in .desktop file, reference Lomiri instead.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Adjust paths to Javascript code files.
  * debian/control:
    + Add to B-D: qtquickcontrols2-5-dev.
    + Add to B-D: qtlocation5-dev and qtpositioning5-dev.
    + Add to B-D: qtwebengine5-dev.
    + Add to B-D: libflatbuffers-dev.
    + Drop from D: qmlscene.
    + Add to D: ${shlibs:Depends}.
    + Switch lomiri-weather-app from arch:all to arch:any.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 Sep 2024 08:40:10 +0200
