## lomiri-weather-app 6.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.0.1 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.0.2 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -120,7 +120,6 @@
     COMMENT "Merging translations into ${DESKTOP_FILE}..."
     COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
             --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
-            --keyword --keyword=Name --keyword=Comment --keyword=Keywords
             -o ${DESKTOP_FILE}
             -d ${CMAKE_SOURCE_DIR}/po
 )
