=== debian/changelog ===
lomiri-weather-app (6.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase patches 2001, 2002.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Nov 2024 13:05:22 +0100
