## lomiri-weather-app 6.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.0.2 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.1.0 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
