=== debian/changelog ===
lomiri-weather-app (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2002_mention-Lomiri-in-desktop-file-description.patch.
    + Add 1001_Amend-various-typos.-All-fixes-occur-in-documentatio.patch.
  * debian/rules:
    + Enable all hardening build flags.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 Jan 2025 21:23:26 +0100
