## lomiri-weather-app 6.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,11 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.1.0 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.1.2 LANGUAGES CXX)
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_EXTENSIONS FALSE)
+set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -31,6 +35,20 @@
 endif(NOT GETTEXT_FOUND)
 
 set (MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
+
+find_package(flatbuffers) # latest(?) name
+if(NOT flatbuffers_FOUND)
+  find_package(FlatBuffers) # older name
+  if(NOT FlatBuffers_FOUND)
+    find_package(Flatbuffers) # even older name
+    if(NOT Flatbuffers_FOUND)
+      message(FATAL_ERROR
+        "Failed to find a flatbuffers CMake module, tried the following names: flatbuffers, FlatBuffers, Flatbuffers"
+      )
+    endif()
+  endif()
+endif()
+message(STATUS "Found a flatbuffers CMake module")
 
 find_package(Qt5Core REQUIRED)
 find_package(Qt5Qml REQUIRED)
@@ -61,7 +79,7 @@
 set(SPLASH weather-app-splash.svg)
 set(AUTOPILOT_DIR lomiri_weather_app)
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
-add_definitions(-DPROJECT_VERSION="${PROJECT_VERSION}" -DQT_MESSAGELOGCONTEXT)
+add_definitions(-DQT_MESSAGELOGCONTEXT)
 message(STATUS "App version is: ${PROJECT_VERSION}")
 
 
@@ -87,12 +105,12 @@
   set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")
   set(MODULE_PATH ${QT_IMPORTS_DIR})
 else(CLICK_MODE)
-  set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
+  set(DATA_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${APP_NAME})
   set(LOMIRI_WEATHER_APP_DIR "${DATA_DIR}/app")
   set(EXEC ${APP_NAME})
-  set(ICON_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/)
+  set(ICON_DIR ${DATA_DIR}/)
   set(ICON ${ICON_DIR}${ICON})
-  set(SPLASH_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/)
+  set(SPLASH_DIR ${DATA_DIR}/)
   set(SPLASH ${SPLASH_DIR}${SPLASH})
   execute_process(
     COMMAND qmake -query QT_INSTALL_QML
