=== debian/changelog ===
lomiri-weather-app (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase patches 2001 and 2002.
    + Drop 1001_Amend-various-typos.-All-fixes-occur-in-documentatio.patch.
      Applied upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Feb 2025 10:43:03 +0100
