=== debian/control ===
--- 
+++ 
@@ -6,8 +6,13 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gettext,
+               libflatbuffers-dev,
                qtbase5-dev,
                qtdeclarative5-dev,
+               qtlocation5-dev,
+               qtpositioning5-dev,
+               qtquickcontrols2-5-dev,
+               qtwebengine5-dev,
                qml-module-lomiri-components,
                qml-module-lomiri-layouts,
 Standards-Version: 4.7.0
@@ -17,9 +22,8 @@
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-weather-app
 
 Package: lomiri-weather-app
-Architecture: all
-Depends: qmlscene,
-         qml-module-qtquick-localstorage,
+Architecture: any
+Depends: qml-module-qtquick-localstorage,
          qml-module-qt-labs-settings,
          qml-module-qtlocation,
          qml-module-qtquick2,
@@ -27,6 +31,7 @@
          qml-module-lomiri-layouts,
          suru-icon-theme,
          ${misc:Depends},
+         ${shlibs:Depends},
 Description: Weather App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating
