=== debian/changelog ===
lomiri-weather-app (6.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Trivially rebase 2002_mention-Lomiri-in-desktop-file-description.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 15:46:21 +0100
