## lomiri-weather-app 6.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-weather-app VERSION 6.1.3 LANGUAGES CXX)
+project(lomiri-weather-app VERSION 6.1.4 LANGUAGES CXX)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_EXTENSIONS FALSE)
