=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,14 @@
 qt5_add_resources(QT_RESOURCES qml/qml.qrc)
 qt5_add_resources(QT_RESOURCES assets/assets.qrc)
 
-add_executable(${APP_NAME} ${SRCS} ${QT_RESOURCES})
+configure_file(config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)
+
+add_executable(${APP_NAME} ${SRCS} ${QT_RESOURCES} "${CMAKE_CURRENT_BINARY_DIR}/config.h")
+
+target_include_directories(${APP_NAME}
+  PRIVATE
+  ${CMAKE_CURRENT_BINARY_DIR}
+)
 
 target_link_libraries(${APP_NAME} Qt5::Gui Qt5::Qml Qt5::Quick Qt5::QuickControls2 Qt5::WebEngine)
