=== src/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 set(PLUGIN "LomiriWeather")
 
 set(SRC
@@ -31,17 +30,20 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-execute_process(
-    COMMAND flatc --cpp --gen-object-api -o "${CMAKE_CURRENT_BINARY_DIR}/open_meteo" weather_api.fbs
+add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/open_meteo/weather_api_generated.h"
+    COMMAND flatbuffers::flatc --cpp --gen-object-api -o "${CMAKE_CURRENT_BINARY_DIR}/open_meteo" weather_api.fbs
+    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/open_meteo/weather_api.fbs"
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/open_meteo"
 )
+add_custom_target(generate-weather-api DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/open_meteo/weather_api_generated.h")
 
 add_library(${PLUGIN} MODULE ${SRC})
+add_dependencies(${PLUGIN} generate-weather-api)
 
 target_include_directories(${PLUGIN} PUBLIC "${CMAKE_SOURCE_DIR}/src")
 
 set_target_properties(${PLUGIN} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PLUGIN})
-target_link_libraries(${PLUGIN} Qt5::Gui Qt5::Qml Qt5::Location flatbuffers)
+target_link_libraries(${PLUGIN} Qt5::Gui Qt5::Qml Qt5::Location flatbuffers::flatbuffers)
 
 install(TARGETS ${PLUGIN} DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN}/)
 install(FILES qmldir DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN}/)
