=== debian/changelog ===
lomiri-weather-app (6.1.4-2) unstable; urgency=medium

  [ Robert Tari ]
  * debian/patches:
    + Add 2003_connectivity-flatbuffers.patch. Patch for upstream issues caused
      by Connectivity and flatbuffers.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Jun 2025 16:36:00 +0200

lomiri-weather-app (6.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2002_mention-Lomiri-in-desktop-file-description.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 17:29:31 +0200
