=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                qtwebengine5-dev,
                qml-module-lomiri-components,
                qml-module-lomiri-layouts,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-weather-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-weather-app.git
