=== tests/CMakeLists.txt ===
add_subdirectory(autopilot)
