=== tests/autopilot/lomiri_weather_app/databases/CMakeLists.txt ===
# make the database files visible on qtcreator
file(GLOB PYTHON_TEST_DATABASE_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.ini *.conf)

add_custom_target(lomiri-weather-app_PYTHONTestDatabaseFiles ALL SOURCES ${PYTHON_TEST_DATABASE_FILES})
