=== debian/changelog ===
lomiri-weather-app (6.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivially rebase 2002_mention-Lomiri-in-desktop-file-description.patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Aug 2025 12:09:03 +0200
